Update a cluster
import requests
url = "https://{FUSION HOST}/api/searchCluster/{id}"
payload = {
"authConfig": {},
"validateCluster": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/searchCluster/{id}")
.header("Content-Type", "application/json")
.body("{\n \"authConfig\": {},\n \"validateCluster\": true\n}")
.asString();const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({authConfig: {}, validateCluster: true})
};
fetch('https://{FUSION HOST}/api/searchCluster/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/searchCluster/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"authConfig\": {},\n \"validateCluster\": true\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/searchCluster/{id}"
payload := strings.NewReader("{\n \"authConfig\": {},\n \"validateCluster\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/searchCluster/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'authConfig' => [
],
'validateCluster' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://{FUSION HOST}/api/searchCluster/{id} \
--header 'Content-Type: application/json' \
--data '
{
"authConfig": {},
"validateCluster": true
}
'{
"id": "<string>",
"connectString": "<string>",
"zkClientTimeout": 123,
"zkConnectTimeout": 123,
"cloud": true,
"bufferFlushInterval": 123,
"bufferSize": 123,
"concurrency": 123,
"authConfig": {
"username": "<string>",
"password": "<string>",
"keyTab": "<string>",
"principal": "<string>"
},
"validateCluster": true
}Update a cluster
Update a cluster definition.
PUT
/
searchCluster
/
{id}
Update a cluster
import requests
url = "https://{FUSION HOST}/api/searchCluster/{id}"
payload = {
"authConfig": {},
"validateCluster": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/searchCluster/{id}")
.header("Content-Type", "application/json")
.body("{\n \"authConfig\": {},\n \"validateCluster\": true\n}")
.asString();const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({authConfig: {}, validateCluster: true})
};
fetch('https://{FUSION HOST}/api/searchCluster/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/searchCluster/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"authConfig\": {},\n \"validateCluster\": true\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/searchCluster/{id}"
payload := strings.NewReader("{\n \"authConfig\": {},\n \"validateCluster\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/searchCluster/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'authConfig' => [
],
'validateCluster' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Headers
An optional tag to match against the specified blob.
Path Parameters
The cluster ID.
Query Parameters
Validate the updated cluster definition before saving it.
Body
application/json
JSON-formatted cluster configuration values.
Response
200 - application/json
successful operation
Show child attributes
Show child attributes
Was this page helpful?
⌘I